Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Xserver 1.12 is now in Xoeg-edgers PPA

  1. #1
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Xserver 1.12 is now in Xorg-edgers PPA

    Xorg-edgers PPA has been updated to offer xserver 1.12 branch, now at rc1.
    Also all input and video drivers have been updatet to meet the ABI:
    - xorg-input-abi-16
    - xorg-video-abi-12
    You will find nvidia-current and fglrx there too.

    I have tested nvidia-current (depending on video-abi-12) and it works fine.

    One more thing, Precise will not have xserver 1.12.
    Instead, it will have xserver 1.11 + some parts taken from 1.12, like multitouch system.
    Last edited by Harry33; January 20th, 2012 at 09:40 PM.

  2. #2
    Join Date
    May 2011
    Beans
    119

    Re: Xserver 1.12 is now in Xoeg-edgers PPA

    By chance, would these packages help with the hybrid graphics issues with Radeon? I cannot get graphic card switching to work no matter how I try. Switcheroo, Catalyst, nothing works on my Lenovo G770
    Last edited by rojaasensei; January 20th, 2012 at 11:12 PM. Reason: clarity - more information
    Xubuntu 11.10 64 bit

  3. #3
    Join Date
    Sep 2008
    Beans
    796

    Re: Xserver 1.12 is now in Xorg-edgers PPA

    Quote Originally Posted by Harry33 View Post
    Xorg-edgers PPA has been updated to offer xserver 1.12 branch, now at rc1.
    Also all input and video drivers have been updatet to meet the ABI:
    - xorg-input-abi-16
    - xorg-video-abi-12
    You will find nvidia-current and fglrx there too.

    I have tested nvidia-current (depending on video-abi-12) and it works fine.

    One more thing, Precise will not have xserver 1.12.
    Instead, it will have xserver 1.11 + some parts taken from 1.12, like multitouch system.
    Hi Harry,

    Are you also using the ricotz-unstable ppa at the moment? I recently started using that instead of xorg-edgers to get Xserver 1.12 and I'm wondering if I should now re-enable xorg-edgers.

    Cheers,

    Paul

  4. #4
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: Xserver 1.12 is now in Xorg-edgers PPA

    Quote Originally Posted by paul_in_london View Post
    Hi Harry,

    Are you also using the ricotz-unstable ppa at the moment? I recently started using that instead of xorg-edgers to get Xserver 1.12 and I'm wondering if I should now re-enable xorg-edgers.

    Cheers,

    Paul
    Xorg-edgers PPA now has the same xserver 1.12 rc1 as Ricotz Unstable PPA has.
    I switched to Xorg-edgers (disabling the Unstable), because it seems it is more frequently updated. For example it now contains a bit newer xorg build (git20120120).
    Do not use both at the same time.

  5. #5
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,854
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Xserver 1.12 is now in Xorg-edgers PPA

    Quote Originally Posted by Harry33 View Post
    Do not use both at the same time.
    Aren't they synchronized?

  6. #6
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: Xserver 1.12 is now in Xorg-edgers PPA

    Quote Originally Posted by zika View Post
    Aren't they synchronized?
    In fact they do have about the same content, edgers is a bit more recent just now, but that may change, who knows. Anyways, why use them both?

  7. #7
    Join Date
    Jul 2010
    Beans
    41
    Distro
    Ubuntu Development Release

    Re: Xserver 1.12 is now in Xoeg-edgers PPA

    My unstable ppa was just a place to prepare this transition for xorg-server 1.12 which now happened. So please use xorg-edgers ppa again. All packages should be properly overridden automatically. I already cleaned my ppa from the older packages.

  8. #8
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,854
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Xserver 1.12 is now in Xoeg-edgers PPA

    Quote Originally Posted by ricotz View Post
    My unstable ppa was just a place to prepare this transition for xorg-server 1.12 which now happened. So please use xorg-edgers ppa again. All packages should be properly overridden automatically. I already cleaned my ppa from the older packages.
    Done. Thank You for all that work...

  9. #9
    Join Date
    Sep 2008
    Beans
    796

    Re: Xserver 1.12 is now in Xoeg-edgers PPA

    Quote Originally Posted by zika View Post
    Done. Thank You for all that work...
    +1. Thanks for clarifying that.

  10. #10
    Join Date
    Jun 2010
    Location
    Berlin
    Beans
    305
    Distro
    Ubuntu Development Release

    Re: Xserver 1.12 is now in Xoeg-edgers PPA

    i just re-enabled the x-org-edgers ppa and can't install the nvidia-current keeps giving me a dependency error needing xorg-video-abi-11 !!

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •